function addblockstolayerplot(fractwidth,fntsz);

% function addblockstolayerplot(fractwidth,fntsz);
%
%  Add bars to a layer plot showing the location
%  in neutral density space of the different blocks
%  of layers (defined in waterdiv.m)

isheld=ishold;
hold on;
waterdiv
glev;

% plot layers averaged in blocks
LatPlot=get(gca,'xlim');
wdth=fractwidth*range(LatPlot);
labs=swaterdivslab;
i=1;oft=.1*wdth+wdth/2;
q=find(glayers<waterdivs(i));
patch([min(LatPlot)+oft min(LatPlot)+oft+wdth ...
         min(LatPlot)+oft+wdth min(LatPlot)+oft], ...
        [-min(q)+1 -min(q)+1 -max(q) -max(q)], ...
        [.8 .8 .8]);
text(min(LatPlot)+oft+wdth/2,-mean(q)+1,labs(i,:), ...
        'rotation',90,'horizontalalignment','center', ...
	'fontsize',fntsz);
for i=2:length(waterdivs);
  oft=.1*wdth + wdth/2*mod(i,2);
  q=find(glayers>waterdivs(i-1) & glayers<waterdivs(i));
  patch([min(LatPlot)+oft min(LatPlot)+oft+wdth ...
         min(LatPlot)+oft+wdth min(LatPlot)+oft], ...
        [-min(q)+1 -min(q)+1 -max(q) -max(q)], ...
        [.8 .8 .8]);
  text(min(LatPlot)+oft+3*wdth/5,-mean(q)+1,labs(i,:), ...
        'rotation',90,'horizontalalignment','center', ...
        'fontsize',fntsz);
end;
q=find(glayers>max(waterdivs));
i=i+1;oft=.1*wdth + wdth/2*mod(i,2);
patch([min(LatPlot)+oft min(LatPlot)+oft+wdth ...
       min(LatPlot)+oft+wdth min(LatPlot)+oft], ...
      [-min(q)+1 -min(q)+1 -max(q) -max(q)], ...
      [.8 .8 .8]);
text(min(LatPlot)+oft+wdth/2,-mean(q)+1,labs(i,:), ...
      'rotation',90,'horizontalalignment','center', ...
	'fontsize',fntsz);

if (~isheld) hold off; end;
