function [Aline,bvalue]=addsilcat(boxnum,sectnum,sectlabel, ...
	lon,lat,D,A,indE,indb,indv,EkmanE);
 
% Calculate pflux, the property transport (first element
%  of 2-by-1 vector) and its error bar (second element)
% of "property" (e.g."botSILCAT") into box number "boxnum"
% across section "sectnum", using the output of gauss.m,
% saved as "gaussout.mat" in the current directory, and
% the property field from the original section.

glev
nlyr=1:length(glayers);
property='botSILCAT';

MultRho=1; MultCp=0;
MF=1e-6/1e3;	
unitsprefix='KMOL/UMOL';
units='';

load readyforgauss sectfiles;
sect=sectfiles(sectnum,:);
for i=1:length(sect);
  if (strcmp(sect(i),'.'));
    sect2=sect(1:i-1);
  elseif (strcmp(sect(i),'/'));
    origsect=sect(i+1:length(sect));
  end;
end;
sect=sect2;clear sect2;

rawsect=[sect,'_raw'];

% load the directory of the original 
% (before prepctd) sect
eval(['load ',rawsect,' directory']);
origsect=[directory,'/',origsect];

% load the locations of the casts and
% the property field
eval(['load ',origsect,' lon lat ctdpres ctdsal ctdtemp']);
if (strcmp(property,'ctdptmp') | ...
	 strcmp(property,'ctdpotmp'));
  ctdptmp=sw_ptmp(ctdsal,ctdtemp,ctdpres* ...
        ones(1,length(lon)),zeros(size(ctdsal)));
  property='ctdptmp';
elseif (strcmp(property,'volume'));
  property='ctdsal./ctdsal';
else
  eval(['load ',origsect,' ',property]);
end;
if (strcmp(property(1:3),'bot'))
  eval(['load ',origsect,' heads units']);
  for j=1:length(units)
    if strcmp(['bot',char(heads(j))],property)
      Units=char(units(j));
    end;
  end;
  units=Units;
end;
clear heads Units
eval(['load ',rawsect,' Ln']);
eval(['prop=',property,';']);

%% debugging code %%%%%%%%%%%%%%%%
%prop=ones(size(prop));
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if (MultRho)
  rho=sw_dens(ctdsal,ctdtemp, ...
	ctdpres*ones(1,length(lon)));
  prop=prop.*rho;
  units=['(',units,')(KG/S)'];
else 
  units=['(',units,')(M^3/S)'];
end;
if (MultCp)
  Cp=sw_cp(ctdsal,ctdtemp, ...
        ctdpres*ones(1,length(lon)));
  prop=prop.*Cp;
end;
units=[unitsprefix,units];
prop=prop.*MF;

% calculate prop in layer coordinates
layprop=NaN*ones(length(glayers),length(lon));
for j=1:length(lon);
  for i=1:length(glayers);
    q=find(Ln(:,j)==i);
    if (length(q))
      layprop(i,j)=nanmean(prop(q,j));
    end;
  end;
end;

% interpolate to station pair locations
lon2=lon(1:length(lon)-1)+diff(lon)/2;
lat2=lat(1:length(lat)-1)+diff(lat)/2;
layprop2=NaN*ones(size(layprop,1),length(lon2));
for i=1:length(lon2);
  layprop2(:,i)=nanmean([layprop(:,i),layprop(:,i+1)]')';
end;
clear lon lat prop layprop;

% identify relevant station pair indices
%stind=NaN*ones(length(lon2),1);
%for i=1:length(stind);
  %q=find(lon==lon2(i) & lat==lat2(i));
  %stind(i)=q;
%end;

layprop2=fillnans(layprop2,0);

% calculate transports
q=find(sectlabel==sectnum);
pfluxref=sum( ...
        A(indb(nlyr,1,boxnum),indv(q)).* ...
        layprop2(nlyr,:) ,1);
pfluxrel=-sum(sum( ...
	D(indb(nlyr,1,boxnum),indv(q)).* ...
	layprop2(nlyr,:)));
pfluxek=sum(EkmanE(nlyr,1,boxnum,sectnum).* ...
	nanmean(layprop2(nlyr,:)')' );

Aline=zeros(1,size(A,2));
Aline(indv(q))=pfluxref;
Aline(indE(sectnum))=pfluxek;

bvalue=-sum(pfluxrel+pfluxek);


