
% s4_combined_warrenlike_con - force 0 net geostrophic
% transport across the combined S4 section above
% a threshold density (densest layer clearing Scotia Ridge)

disp('Constraining eddy transports at 32S')
SectNum=[sectname2sectnum('a11') ...
         sectname2sectnum('i05p') ...
         sectname2sectnum('p06')];
BoxNum=[getboxnum(-150,-60) ...
        getboxnum(0,-50) ...
        getboxnum(100,-60)];
MaxDens=28.1;

% add up Ekman transports -- for zero geostrophic,
% net must equal Ekman.
for ii=1:length(BoxNum);
    eval(['load airsea',num2str(BoxNum(ii)),' EkmanInM']);
    if (ii==1)
        Fek=sum(EkmanInM(:,SectNum)')';
    else
        Fek=Fek+sum(EkmanInM(:,SectNum)')';
    end;
end;
clear EkmanInM;

% now loop through layers, forcing net=Ekman
q=find(glayers<=MaxDens);
for ii=1:length(q);
    sectnum=SectNum;
    statnum=[];
    propnum=1;
    boxnum=BoxNum;
    layernum=ii;
    fluxvalue=Fek(ii);
    fluxerror=1e6+.1*Fek(ii);
    addcon;
end;
clear MaxDens SectNum BoxNum;

fluxvalue=0;
fluxerror=1e6;

