
% a10_con: northward fluxes (>0) across A10 in South Atlantic
%	primary reference: McDonagh and King (2003) (=MK03)
%	NOTE: these MUST BE USED FOR NONPUBLICATION PURPOSES ONLY
%		until MK03 is accepted for JPO!

sectlon=lon(find(sectlabel==sectname2sectnum('a10')));

% -25 +- 10 Sv Brazil Current (MK03)
layernum=nlayers+1;
statnum=find(sectlon<-46.4);
sectnum=sectname2sectnum('a10');
propnum=1;boxnum=BoxNum;
fluxvalue=-25e6;fluxerror=10e6;
addcon;

% Brazil Current Recirculation: 7.5+-5 (MK03)
layernum=nlayers+1;
statnum=find(sectlon>=-46.4 & sectlon<-44.8);
sectnum=sectname2sectnum('a10');
propnum=1;boxnum=BoxNum;
fluxvalue=7.5e6;fluxerror=5e6;
addcon;

% 2+-1 Sv bottom water into Vema Channel
layernum=find(glayers>=28.175);
statnum=find(sectlon>-46.4 & sectlon<-44.8);
sectnum=sectname2sectnum('a10');
propnum=1;boxnum=BoxNum;
fluxvalue=2e6;fluxerror=1e6;
addcon;

% 3+-1 Sv bottom water into Brazil Basin
layernum=find(glayers>=28.175);
statnum=find(sectlon>-33 & sectlon<-17.8);
sectnum=sectname2sectnum('a10');
propnum=1;boxnum=BoxNum;
fluxvalue=3e6;fluxerror=1e6;
addcon;

% 0+-.5 Sv bottom water into Cape Basin
%  due to blocking by Walvis Ridge (SK95)
layernum=find(glayers>=28.175);
statnum=find(sectlon>-3);
sectnum=sectname2sectnum('a10');
propnum=1;boxnum=BoxNum;
fluxvalue=0e6;fluxerror=.5e6;
addcon;

clear BoxNum;
