
% a11_con: northward fluxes (>0) across A11 in South Atlantic
%	primary reference: Saunders and King (1995) (=SK95)
%	who defined "bottom" as sig_3>41.58 (gam>27.175)
%
% NOTE: make sure this file is consistent with "a11_alt_con"

BoxNum=getboxnum(-30,-44,nboxes);  % South Atlantic
sectlon=lon(find(sectlabel==sectname2sectnum('a11')));

% 45 +- 22.5 Sv WBC (Malvinas Current) (SK95)
layernum=nlayers+1;
statnum=1:5;
sectnum=sectname2sectnum('a11');
propnum=1;boxnum=BoxNum;
fluxvalue=45e6;fluxerror=22.5e6;
addcon;

% -5 +- 4 Sv EBC (SK95)
layernum=nlayers+1;
statnum=85:89;
sectnum=sectname2sectnum('a11');
propnum=1;boxnum=BoxNum;
fluxvalue=-5e6;fluxerror=4e6;
addcon;

% 0 +-2 Sv bottom water into Cape Basin
%  due to blocking by Walvis Ridge (SK95)
layernum=find(glayers>=28.175);
statnum=60:81;
sectnum=sectname2sectnum('a11');
propnum=1;boxnum=BoxNum;
fluxvalue=0e6;fluxerror=2e6;
addcon;

% 6+-2 Sv AABW in Argentine Basin 
%  (Speer and Zenk, 1993; SK95)
layernum=find(glayers>=28.175);
statnum=9:45;
sectnum=sectname2sectnum('a11');
propnum=1;boxnum=BoxNum;
fluxvalue=6e6;fluxerror=2e6;
addcon;

% 1.7 Sv AASW in "Top" layers
%   (Orsi et al. 2002)
%layernum=find(glayers>=27.7 & glayers<27.98);
%statnum=find(sectlon>=-63 & sectlon<18);
%sectnum=sectname2sectnum('a11');
%propnum=1;boxnum=BoxNum;
%fluxvalue=1.7e6;fluxerror=.17e6;
%addcon;

clear BoxNum;
