
% ar07ed_ebc: northward fluxes against Cape Farvel

BoxNum=getboxnum(-20,60,nboxes);
sectlon=lon(find(sectlabel==sectname2sectnum('ar07ed_ebc')));

% Bacon (1997): the net flux of the EGC from Greenland
% to the 2000m isobath is -15 Sv.
sectnum=sectname2sectnum('ar07ed_ebc');
boxnum=BoxNum;
statnum=find(sectlon<=-41.15);
propnum=1; layernum=nlayers+1;
fluxvalue=-15e6; fluxerror=2e6;
addcon;

% Bersch (1995), Fig.15: 
%  the total flux of the EGC is -32.2+-4.6 Sv
sectnum=sectname2sectnum('ar07ed_ebc');
boxnum=BoxNum;
statnum=find(sectlon<=-35.8);
propnum=1; layernum=nlayers+1;
fluxvalue=-32.2e6; fluxerror=3.2e6;
addcon;

% Bersch (1995), Fig. 15:
%   the Irminger Current is 17.6+-4.6 Sv
%   in layers 1-18
%sectnum=sectname2sectnum('ar07ed_ebc');
%boxnum=BoxNum;
%statnum=15:18;
%propnum=1; layernum=find(glayers<27.976);
%fluxvalue=17.6e6; fluxerror=3.3e6;
%addcon;

% Bersch (1995), Fig. 15:
%  net flux across Irminger Basin is
%  -9.1+-9.0 Sv.
%sectnum=sectname2sectnum('ar07ed_ebc');
%boxnum=BoxNum;
%statnum=1:18;
%propnum=1; layernum=nlayers+1;
%fluxvalue=-9.1e6; fluxerror=9.0e6;
%addcon;

% Bersch (1995), Fig. 15:
%  net flux across Iceland Basin is
%  5.7+-10.3 Sv.
%sectnum=sectname2sectnum('ar07ed_ebc');
%boxnum=BoxNum;
%statnum=19:34;
%propnum=1; layernum=nlayers+1;
%fluxvalue=5.7e6; fluxerror=10.3e6;
%addcon;

clear BoxNum sectlon;
