
% ar16d_con: fluxes from the Gulf of Cadiz
%  into the Atlantic Ocean

BoxNum=getboxnum(-10,36,nboxes);
sectlon=lon(find(sectlabel==sectname2sectnum('ar16d')));

% 0 Sv +- masssecterror net exchange
sectnum=sectname2sectnum('ar16d');
statnum=[];
propnum=1;boxnum=BoxNum;layernum=nlayers+1;
fluxvalue=0;fluxerror=masssecterror(sectnum);
addcon;

% 2 Sv Med outflow from Gulf of Cadiz
%  (Baringer and Price, JPO27 p1654, 1997)
sectnum=sectname2sectnum('ar16d');
statnum=[];
propnum=1;boxnum=BoxNum;
layernum=find(glayers>=27.56 & glayers<=27.86);
fluxvalue=2e6;fluxerror=.5e6;
addcon;

% No net flow of water at sub-NACW densities
% (<7degC)
sectnum=sectname2sectnum('ar16d');
statnum=[];
propnum=1;boxnum=BoxNum;
layernum=find(glayers>=27.94);
fluxvalue=0;fluxerror=.5*masssecterror(sectnum);
addcon;

% apply for lower deep layer
sectnum=sectname2sectnum('ar16d');
statnum=[];
propnum=1;boxnum=BoxNum;
layernum=find(glayers>=27.976 & glayers<28.13);
fluxvalue=0;fluxerror=0.1e6;
addcon;

clear BoxNum;
