% beringstrait_con
%
% Bering Strait volume (BS_Vflux),
% salt (BS_Sflux) and salam (BS_Salamflux)
% fluxes, with associated error terms 
% (eBS_*flux) from Coachman and Aagaard (1988).  
% Include arcPE, the volume flux of P+R-E
% integrated over the Arctic and nordic seas.

BS_Vflux=0.8e6;
eBS_Vflux=0.2e6; 

% mean salinity of BS water
BS_Salinity=32.5;

% BS_Sflux: salt flux associated with
% Bering Strait throughflow
BS_Sflux=BS_Vflux*BS_Salinity/1000;
eBS_Sflux=eBS_Vflux*BS_Salinity/1000;

% additional volume flux from P+R-E 
% excess in Arctic, Northern seas
arcPE=.1e6;

% salinity anomaly flux
BS_Salamflux=BS_Sflux-35/1000*(BS_Vflux+arcPE);
eBS_Salamflux=35/1000*eBS_Vflux;

