
% p06_con: southward fluxes (>0) across P06 (32S).

BoxNum=getboxnum(-160,-40,nboxes); % SO, Pac sector
sectlon=lon(find(sectlabel==sectname2sectnum('p06')));

% 0+-2 Sv at gamma>27.9 into S. NewCal. Trough
%	(Ganachaud, 1999)
layernum=find(glayers>27.9);
statnum=find(sectlon>162 & sectlon<168);
sectnum=sectname2sectnum('p06');
propnum=1;boxnum=BoxNum;
fluxvalue=0;fluxerror=2e6;
addcon;

% SO -> Pac (Indonesian throughflow)
%  plus net P+R-E (.42Sv,NCEP) in SO
sectnum=sectname2sectnum('p06');
statnum=[];
propnum=1;boxnum=BoxNum;
layernum=nlayers+1;
fluxvalue=-(ipt_Vflux-0.37e6+0.42e6);
fluxerror=sqrt(eipt_Vflux^2+masssecterror(sectnum)^2);
addcon;

% 16 Sv (layers 21-45) N against Kermadec Ridge
%	as seen by PCM9 (179-169W; pairs 64:88)
% (Whitworth et al. 1999; Wijffels et al., 2001)

% 1 Sv N between 2000-3250 m depth (layers 21:30) 
sectnum=sectname2sectnum('p06');
statnum=find(sectlon>=-179 & sectlon<=-169);
propnum=1;boxnum=BoxNum;
layernum=find(glayers>27.88 & glayers<28.06);
fluxvalue=-1e6;
fluxerror=4e6;  % loosened from Wijffels et al 
addcon;

% 8.8 Sv N between 3250-4750 m depth (layers 31:40)
sectnum=sectname2sectnum('p06');
statnum=find(sectlon>=-179 & sectlon<=-169);
propnum=1;boxnum=BoxNum;
layernum=find(glayers>28.06 & glayers<28.2);
fluxvalue=-8.8e6;
fluxerror=2e6;
addcon;

% 6.0 Sv N below 4750 m (layers 41:45)
sectnum=sectname2sectnum('p06');
statnum=find(sectlon>=-179 & sectlon<=-169);
propnum=1;boxnum=BoxNum;
layernum=find(glayers>28.06 & glayers<28.2);
fluxvalue=-6.0e6;
fluxerror=2e6;
addcon;

% Constraints from Wijffels et al. (2001)
% (their Table 3)
%       Tasman Sea (West)
sectnum=sectname2sectnum('p06');
statnum=find(sectlon>=150 & sectlon<=160);
propnum=1;boxnum=BoxNum;
layernum=find(glayers>28.1);
fluxvalue=-0.5e6;
fluxerror=0.5e6;
addcon;
%       Tasman Sea (Central)
sectnum=sectname2sectnum('p06');
statnum=find(sectlon>=160 & sectlon<=173);
propnum=1;boxnum=BoxNum;
layernum=find(glayers>27.95);
fluxvalue=0;
fluxerror=0.5e6;
addcon;
%       Tasman Sea (East)
sectnum=sectname2sectnum('p06');
statnum=find( (sectlon>=173 & sectlon<=180) | ...
    (sectlon<-179));
propnum=1;boxnum=BoxNum;
layernum=find(glayers>27.95);
fluxvalue=0;
fluxerror=0.5e6;
addcon;
%   Eastern Basin
sectnum=sectname2sectnum('p06');
statnum=find(sectlon>=-110 & sectlon<=-70);
propnum=1;boxnum=BoxNum;
layernum=find(glayers>28.05);
fluxvalue=-0.75e6;
fluxerror=0.75e6;
addcon;


clear BoxNum sectlon;
