
% s4comp_con: northward fluxes (>0) across Southern Ocean
%	composite section S4.

sectlon=lon(find(sectlabel==sectname2sectnum('s4comp')));

% 0 Sv net flow
sectnum=sectname2sectnum(['s4comp']);
statnum=[];
propnum=1;boxnum=BoxNum;
layernum=nlayers+1;
fluxvalue=0;
fluxerror=masssecterror(sectnum);
addcon;

% No net salt flux across S4
sectnum=sectname2sectnum(['s4comp']);
statnum=[];
propnum=2;boxnum=BoxNum;
layernum=nlayers+1;
fluxvalue=0;
fluxerror=35/1000*masssecterror(sectnum);
addcon;

%%%% CFC-derived constraints from Orsi, Smethie        %%%%%
%%%%    and Bullister (JGR 107, C8, 31-1--31--8, 2002) %%%%%
if (1)

    disp('adding CFC-derived costraints on S4')
    


% 2.9 Sv AASW +2.9 Sv LCDW in Middle layers, Atl sector
sectnum=sectname2sectnum('s4comp');
statnum=find(sectlon>=-63 & sectlon<18);
propnum=1;boxnum=BoxNum;
layernum=find(glayers>=27.98 & glayers<28.27);
fluxvalue=5.8e6;fluxerror=.58e6;
addcon;

% 3.3 Sv ShelfW +1.6 Sv LCDW in Bottom layers, Atl sector
sectnum=sectname2sectnum('s4comp');
statnum=find(sectlon>=-63 & sectlon<18);
propnum=1;boxnum=BoxNum;
layernum=find(glayers>28.27);
fluxvalue=4.9e6;fluxerror=.49e6;
addcon;

% 1.9 Sv AASW in Top layers, IndPac sector
%sectnum=sectname2sectnum('s4comp');
%statnum=find(sectlon<-63 | sectlon>=18);
%propnum=1;boxnum=BoxNum;
%layernum=find(glayers>=27.7 & glayers<27.98);
%fluxvalue=1.9e6;fluxerror=.19e6;
%addcon;

% 1.8 Sv AASW + 1.8 Sv LCDW in Middle layers, IndPac sector
sectnum=sectname2sectnum('s4comp');
statnum=find(sectlon<-63 | sectlon>=18);
propnum=1;boxnum=BoxNum;
layernum=find(glayers>=27.98 & glayers<28.27);
fluxvalue=3.6e6;fluxerror=.36e6;
addcon;

% 2.1 Sv ShelfW + 1.1 Sv LCDW in Bottom layers, IndPac sector
sectnum=sectname2sectnum('s4comp');
statnum=find(sectlon<-63 | sectlon>=18);
propnum=1;boxnum=BoxNum;
layernum=find(glayers>=28.27);
fluxvalue=3.2e6;fluxerror=.32e6;
addcon;

end;

clear BoxNum;
