
% wedsea_con: new constrains for the weddell
% sea section derived from the german current meters
% results.  Fluxes are defined as positive to
% the inner Weddell Sea (negative=northward)

BoxNum=getboxnum(-50,-70,nboxes); % inner Weddell Sea
sectlon=lon(find(sectlabel==sectname2sectnum('wedsea')));

% Area 1 (negative; going north)
sectnum=sectname2sectnum('wedsea');
statnum=find(sectlon<=-47.95);
propnum=1;
boxnum=BoxNum;
layernum=[1:39];
fluxvalue=-3.26e6;
fluxerror=1.43e6;
addcon;

% Area 2 (negative; going north)
sectnum=sectname2sectnum('wedsea');
statnum=find(sectlon<=-47.95);
propnum=1;
boxnum=BoxNum;
layernum=[40:42];
fluxvalue=-11.2e6;
fluxerror=9.19e6;
addcon;

% Area 3 (negative; going north)
sectnum=sectname2sectnum('wedsea');
statnum=find(sectlon<=-47.95);
propnum=1;
boxnum=BoxNum;
layernum=[43:45];
fluxvalue=-11.5e6;
fluxerror=8.78e6;
addcon;

% Area 4 (negative; going north)
sectnum=sectname2sectnum('wedsea');
statnum=find(sectlon>-47.95 & sectlon<-41.517);
propnum=1;
boxnum=BoxNum;
layernum=[1:39];
fluxvalue=-2.08e6;
fluxerror=0.05e6;
addcon;

% Area 6 (negative; going north)
sectnum=sectname2sectnum('wedsea');
statnum=find(sectlon>-47.95 & sectlon<-41.517);
propnum=1;
boxnum=BoxNum;
layernum=[43:45];
fluxvalue=-5.28e6;
fluxerror=9.48e6;
addcon;

% Area 7 (zero) - increased error from Wienders' estimate
% of 0.82 Sv to 1.5 Sv.  The prior thermal wind could not
% meet this constraint, eastern and western boundary
% constraints, and get a net transport approx. zero.
sectnum=sectname2sectnum('wedsea');
statnum=find(sectlon>-41.517 & sectlon<-16.817);
propnum=1;
boxnum=BoxNum;
layernum=[1:39];
fluxvalue=0;
fluxerror=0.82e6;
addcon;

% Area 8 (positive; going south)
sectnum=sectname2sectnum('wedsea');
statnum=find(sectlon>-41.517 & sectlon<-16.817);
propnum=1;
boxnum=BoxNum;
layernum=[40:42];
fluxvalue=1.93e6;
fluxerror=1.93e6;
addcon;

% Area 9 (negative; going north)
sectnum=sectname2sectnum('wedsea');
statnum=find(sectlon>-41.517 & sectlon<-16.817);
propnum=1;
boxnum=BoxNum;
layernum=[43:45];
fluxvalue=-0.94e6;
fluxerror=21.3e6;
addcon;

% Area 10 (positive; going south)
sectnum=sectname2sectnum('wedsea');
statnum=find(sectlon>=-16.817);
propnum=1;
boxnum=BoxNum;
layernum=[1:39];
fluxvalue=11.1e6;
fluxerror=6.02e6;
addcon;

% Area 11 (positive; going south)
sectnum=sectname2sectnum('wedsea');
statnum=find(sectlon>=-16.817);
propnum=1;
boxnum=BoxNum;
layernum=[40:42];
fluxvalue=10.8e6;
fluxerror=7.86e6;
addcon;

% Area 12 (positive; going south)
sectnum=sectname2sectnum('wedsea');
statnum=find(sectlon>=-16.817);
propnum=1;
boxnum=BoxNum;
layernum=[43:45];
fluxvalue=12.9e6;
fluxerror=14.4e6;
addcon;
clear BoxNum;
