
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% now assemble the transformation, formation and
% Ekman terms from the different climatologies
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all;
glev;
nclims=2;	% number of climatologies
disp('Loading geometry file "geo".');
file_geom='geo';
eval(file_geom);
nboxes=size(geometry,1);

for boxnum=1:nboxes;

  load airsea_1_1 EkmanInH
  tEkmanInH=NaN*ones([size(EkmanInH) nclims]);
  tEkmanInM=tEkmanInH;
  tEkmanInS=tEkmanInH;
  tEkmanInSalt=tEkmanInH;
  tFfw=NaN*ones([nclims length(glayers)]);
  tFh=tFfw;tFfw_norivers=tFfw;
  tFm=NaN*ones([nclims length(gamma2)]);
  tMhek=NaN*ones([nclims length(glayers)]);
  tMm=tMhek; tMmek=tMhek; tMsek=tMhek;
  tSSArea=tMhek; tSSSbar=tMhek; tSSTbar=tMhek;

  for climnum=1:nclims;
    eval(['load airsea_',num2str(climnum), ...
	'_',num2str(boxnum), ...
	' EkmanIn* F* M* SS* si_flux']);
    tEkmanInH(:,:,climnum)=EkmanInH;
    tEkmanInM(:,:,climnum)=EkmanInM;
    tEkmanInS(:,:,climnum)=EkmanInS;
    tEkmanInSalt(:,:,climnum)=EkmanInSalt;
    tFfw(climnum,:)=Ffw(1,:);
    tFfw_norivers(climnum,:)=Ffw_norivers(1,:);
    tFh(climnum,:)=Fh(1,:);
    tFm(climnum,:)=Fm(1,:);
    tMhek(climnum,:)=Mhek(1,:);
    tMm(climnum,:)=Mm(1,:);
    tMmek(climnum,:)=Mmek(1,:);
    tMsek(climnum,:)=Msek(1,:);
    tSSArea(climnum,:)=SSArea;
    tSSSbar(climnum,:)=SSSbar;
    tSSTbar(climnum,:)=SSTbar;
  end;
  EkmanInH=mean(tEkmanInH,3);
  EkmanInM=mean(tEkmanInM,3);
  EkmanInS=mean(tEkmanInS,3);
  EkmanInSalt=mean(tEkmanInSalt,3);
  EkmanInM_range=sum(tEkmanInM,1);
  EkmanInM_range=reshape(EkmanInM_range, ...
	[size(tEkmanInM,2) nclims]);
  EkmanInM_range=range(EkmanInM_range')';
  Ffw=[mean(tFfw);range(tFfw)/2];
  Ffw_norivers=[mean(tFfw_norivers); ...
	range(tFfw_norivers)/2];
  Fh=[mean(tFh);range(tFh)/2];
  Fm=[mean(tFm);range(tFm)/2];
  Mhek=mean(tMhek);
  Mm=[mean(tMm);range(tMm)/2];
  Mmek=mean(tMmek);
  Msek=mean(tMsek);
  SSArea=nanmean(tSSArea);
  SSSbar=nanmean(tSSSbar);
  SSTbar=nanmean(tSSTbar);
  eval(['save airsea',num2str(boxnum), ...
	' Ekman* F* M* tF* SS* si_flux' ...
	' glevels glayers gamma2']);
end;	% loop through boxes


