function getflux(massn);

% function getflux(massn);

load gaussout lon lat sectlabel nsections x erx Ax D nboxes ...
	A Pxx glayers indb indv indE EkmanE fluxdivfact fluxunits
massnum=massn;

if (1) 
    clf;
    barflux(massn,5,1); 
else plotsections(1,1); 
end;
set(gca,'dataaspectratio',[1 1 1]);
hold on;
mar;
plot(lon2,lat2,'color',[.8 .8 .8]);
hold off;

zoom on;
disp('Zoom to desired section, ENT when done.');
pause;
disp('Click to isolate sections, ENT when done.');
[lonq,latq]=ginput;
hold on;
plot([lonq;lonq(1)],[latq;latq(1)],'b');
hold off;

disp('Click inside box defining >0 transport');
[lonbox,latbox]=ginput(1);
boxnum=0;
for b=1:nboxes;
  Lon=lon;Lat=lat;
  eval(['load boxcoords',num2str(b)]);
  if isinpoly(lonbox,latbox,lon,lat)
    boxnum=b;
  end;
  lon=Lon;lat=Lat;
end;
if ~boxnum 
  disp('Box number not defined.');
  return;
end;

propnum=1;
waterdiv;
if (massnum>0)
  titl=waterdivslab(massnum,:);
elseif (massnum<0)
  titl=['layer ',num2str(-massnum)];
end;
if (massnum==0)
  nlyr=1:length(glayers);
  titl='vertically-integrated';
elseif (massnum==1)
  nlyr=find(glayers<waterdivs(massnum));
elseif (massnum==length(waterdivs)+1)
  nlyr=find(glayers>=last(waterdivs));
elseif (massnum>1 & massnum<length(waterdivs)+1)
  nlyr=find(glayers>=waterdivs(massnum-1) & ...
        glayers<waterdivs(massnum));
else
  nlyr=-massnum;
end;

q=find(isinpoly(lon,lat,lonq,latq));
hold on;
plot(lon(q),lat(q),'o');
hold off;

pfluxref=sum(Ax(indb(nlyr,propnum,boxnum), ...
	indv(q)));
pfluxrel=-sum(D(indb(nlyr,propnum,boxnum), ...
	indv(q)));
%h=A(indb(nlyr,propnum,boxnum),indv(q))';

if (exist('indE'))
  h=A(indb(nlyr,propnum,boxnum), ...
        [indv(q);indE(unique(sectlabel(q)))])';
  eref=sqrt(sum(sum(h'*Pxx( ...
          [indv(q);indE(unique(sectlabel(q)))], ...
          [indv(q);indE(unique(sectlabel(q)))])*h)));
else
  h=A(indb(nlyr,propnum,boxnum),indv(q))';
  eref=sqrt(  sum(sum(h'*Pxx(indv(q),indv(q))*h))  );
end;

if (abs(diff(sectlabel(q))))
  disp('WARNING: Ekman flux calculated for only one section.');
end;
sectnum=median(sectlabel(q));
totcasts=length(find(sectlabel==sectnum));
% EkIn: the total Ekman flux across that section
% (individual station pair information has not been saved).
EkIn=sum(sum(EkmanE(nlyr,propnum,boxnum,sectnum),1));
% take the fraction of the value contained
% in the selected stations
EkIn=EkIn*length(q)/length(find(sectlabel==sectnum));
% distribute EkIn evenly among the station pairs
EkIn=EkIn*ones(1,length(q))/length(q);

pfluxref=pfluxref/fluxdivfact(propnum);
eref=abs(eref/fluxdivfact(propnum));
pfluxrel=pfluxrel/fluxdivfact(propnum);
EkIn=EkIn/fluxdivfact(propnum);

netflux=sum(pfluxref+pfluxrel+sum(EkIn));

fprintf('Net flux: %3.1f +- %3.1f.\n',netflux,eref);


