function initflux(sectnum,adjustref);

% function initflux(sectnum,adjustref);
%
% Calculate the net mass flux through a section
% (based upon the initial-guess reference
% velocity) using the gvel_* file.
% A net velocity of adjustref (m/s) is
% added before calculating mass flux.

if ~exist('adjustref');
  adjustref=0;
end;

geo;
rv=rv(sectnum);
filename=sectfiles(sectnum,:);
q=find(filename=='/');
filename(1:max(q))=[];
q=find(filename=='.');
filename=filename(1:q-1);
eval(['load gvel_',filename]);
gvel=gvel+adjustref;
eval(['load ',directory,filename,'_raw;']);
eval(['load ',directory,filename,'_tria;']);

lon2=lon(1:length(lon)-1)+diff(lon)/2;
%pcolor(lon2,-bin_press,gvel);
%shading flat;
%colorbar;
%title('Initial geostrophic velocity','fontsize',15);

% calculate relative geostrophic flux

delx=1000*sw_dist(lon,lat,'km');
delz=median(diff(sw_dpth(bin_press,mean(lat))));
area_cell=delz*(ones(length(bin_press),1)*delx);
% this is ignoring bottom triangles!
M=gvel.*area_cell;
M=nansum(nansum(M))/1e6;
fprintf('Net flux: %5.1f Sv.',M);
fprintf('  net ref. vel.: %5.4f m/s.\n',rv+adjustref);

