% joinsects.m : join sections using strings 
% section1, section2 and binary flags
% joinwithNaN, flip1, flip2.

%joinwithNaN=0;          % set to 1 to include a
                        % "cast" of NaNs between sections
%section1='/home/lasalle1/hydrography/WOCE/P04c/P04c';
%section2='/home/lasalle1/hydrography/WOCE/P04e/P04e';
%flip1=0;
%flip2=0;

% load second section
eval(['load ',section2]);
if (flip2)
  flipsection
end;
% save as *_2, so values won't be lost when
% loading first section;
if (~exist('bottom'))
  bottom=NaN*ones(size(lon));
  for in=1:length(lon);
    q=find(isfinite(ctdsal(:,in)));
    q=last(q);
    bottom(in)=ctdpres(q);
  end;
end;
clear in q
bottom_2=bottom; clear bottom;
ctdoxy_2=ctdoxy;
ctdpres_2=ctdpres;
ctdsal_2=ctdsal;
ctdtemp_2=ctdtemp;
for i=1:length(heads);
  eval(['bot',char(heads(i)),'_2=bot',char(heads(i)),';']);
  eval(['clear bot',char(heads(i))]);
end;
lat_2=lat;
lon_2=lon;
st_order_2=st_order;
stnnbr_2=stnnbr;
time_2=time;
heads_2=heads;
units_2=units;

% load first section
eval(['load ',section1]);
if (flip1)
  flipsection;
end;
if (~exist('bottom'))
  bottom=NaN*ones(size(lon));
  for in=1:length(lon);
    q=find(isfinite(ctdsal(:,in)));
    q=last(q);
    bottom(in)=ctdpres(q);
  end;
end;
clear in q

% identify common bottle properties; drop the rest
mheads=zeros(size(heads));
mheads_2=zeros(size(heads_2));
for i=1:length(heads);
  for j=1:length(heads_2);
    if (strcmp(char(heads(i)),char(heads_2(j))))
      mheads(i)=1; mheads_2(j)=1;
      fprintf(['bot',char(heads(i)), ...
	' units:   ',char(units(i)),' (1), ', ...
	char(units_2(j)),' (2)\n']);
    end;
  end;
end;
% drop non-common properties
q=find(~mheads);
for i=1:length(q);
  eval(['clear bot',char(heads(q(i)))]);
end;
heads(~mheads)=[]; units(~mheads)=[];
q=find(~mheads_2);
for i=1:length(q);
  eval(['clear bot',char(heads_2(q(i))),'_2']);
end;
clear units_2 heads_2 mheads mheads_2 i j

% append NaNs to shallower section CTDs
if (max(ctdpres_2)>max(ctdpres))
  q=find(ctdpres_2>max(ctdpres));
  ctdoxy=[ctdoxy;NaN*ones(length(q),length(lon))];
  ctdsal=[ctdsal;NaN*ones(length(q),length(lon))];
  ctdtemp=[ctdtemp;NaN*ones(length(q),length(lon))];
  for i=1:length(heads);
    eval(['bot',char(heads(i)),'=[bot', ...
	char(heads(i)),';NaN*ones(length(q),length(lon))];']);
  end;
  ctdpres=ctdpres_2;
elseif (max(ctdpres)>max(ctdpres_2))
  q=find(ctdpres>max(ctdpres_2));
  ctdoxy_2=[ctdoxy_2;NaN*ones(length(q),length(lon_2))];
  ctdsal_2=[ctdsal_2;NaN*ones(length(q),length(lon_2))];
  ctdtemp_2=[ctdtemp_2;NaN*ones(length(q),length(lon_2))];
  for i=1:length(heads)
    eval(['bot',char(heads(i)),'_2=[bot',char(heads(i)), ...
	'_2;NaN*ones(length(q),length(lon_2))];']);
  end;
  ctdpres_2=ctdpres;
end;

% now join them
if (joinwithNaN)
  % calculate mean surface values for CTD obs,
  % at the joining casts.  Use a column of NaN with
  % the one surface value, when joining them
  % (if joinwithNaN=1)
  soxy=nanmean([ctdoxy(1:5,length(lon)),ctdoxy_2(1:5,1)]);
  ssal=nanmean([ctdsal(1:5,length(lon)),ctdsal_2(1:5,1)]);
  stemp=nanmean([ctdtemp(1:5,length(lon)),ctdtemp_2(1:5,1)]);
  for i=1:length(heads);
    eval(['s',char(heads(i)),'=nanmean([bot', ...
	char(heads(i)),'(1:5,length(lon)),bot', ...
	char(heads(i)),'_2(1:5,1)]);']);
  end;
  soxy=nanmean(soxy);ssal=nanmean(ssal);stemp=nanmean(stemp);
  for i=1:length(heads);
    eval(['s',char(heads(i)),'=nanmean(s', ...
	char(heads(i)),');']);
  end;
  soxy=[soxy;NaN*ones(length(ctdpres)-1,1)];
  ssal=[ssal;NaN*ones(length(ctdpres)-1,1)];
  stemp=[stemp;NaN*ones(length(ctdpres)-1,1)];
  for i=1:length(heads);
    eval(['s',char(heads(i)),'=[s',char(heads(i)), ...
	';NaN*ones(length(bot',char(heads(i)), ...
	')-1,1)];']);
  end;
  slon=mean([last(lon) lon_2(1)]);
  slat=mean([last(lat) lat_2(1)]);
  stime=mean([last(time) time_2(1)]);

  ctdoxy=[ctdoxy,soxy,ctdoxy_2];
  ctdsal=[ctdsal,ssal,ctdsal_2];
  ctdtemp=[ctdtemp,stemp,ctdtemp_2];
  for i=1:length(heads);
    eval(['bot',char(heads(i)),'=[bot', ...
	char(heads(i)),',s',char(heads(i)), ...
	',bot',char(heads(i)),'_2];']);
  end;
  bottom=[bottom;0;bottom_2];
  lat=[lat;slat;lat_2];
  lon=[lon;slon;lon_2];
  time=[time;stime;time_2];
else
  ctdoxy=[ctdoxy,ctdoxy_2];
  ctdsal=[ctdsal,ctdsal_2];
  ctdtemp=[ctdtemp,ctdtemp_2];
  for i=1:length(heads);
    eval(['bot',char(heads(i)),'=[bot', ...
	char(heads(i)),',bot',char(heads(i)), ...
	'_2];']);
  end;
  bottom=[bottom;bottom_2];
  lat=[lat;lat_2];
  lon=[lon;lon_2];
  time=[time;time_2];
end;
st_order=1:length(lat);
stnnbr=1:length(lat);

%load bathyoverflow
%q=find(isnan(bottom));
%bottom(q)=interp_2(lon2,lat2,-z2,lon(q),lat(q));

tria=ones(size(time));
q=find(bottom==0);
tria(q)=NaN;

clear *_2 soxy ssal stemp slon slat stime q
for i=1:length(heads);
  eval(['clear s',char(heads(i))]);
end;
clear section1 flip1 i joinwithNaN;
clear section2 flip2
