function x2=keepsigfigs(x,N);

% function x2=keepsigfigs(x,N);
%
% This routine returns x2, which is equal
% to x with N significant figures.
% Example: y=13.  x=y/7=1.8571.
%   y has 2 sig.figs., so
%   x2=sigfigs(y/7,2)=1.9
% If x has less than N sig. figs., x2=x.

signx=sign(x);
x=abs(x);

% find where "." appears in x
xt=num2str(x);
q=find(xt=='.');
% account for a whole number (decimal after end)
if ~length(q) q=length(xt)+1; end;

q2=find(xt~='.' & xt~='0');
if (length(q2));	% there are non-zero digits.

  q2=q2(1);

  % Determine number of digits left of decimal point.
  q=q-q2;
  % include the non-sig-fig "0" to the left of
  % the decimal point if x<1.
  if (x<1) q=q+1; end;

  % now move the decimal point so that
  % N digits are left of the decimal pt.
  x2=x*10^(N-q);

  % round x2 and move decimal point back.
  x2=round(x2)/10^(N-q);
else	% no non-zero digits.
  x2=0;
end;

x2=x2*signx;

