
%%%%%%%%%%%%%%% plot side view (code from layerplot.m)

prop=netflux/fluxdivfact(propnum);
eprop=eref/fluxdivfact(propnum);
glayers=glayers_avg;

layers=(1:length(glayers))';
lab=[' 26 ';' 27 ';'27.8';' 28 '; ...
        '28.1';'28.2';'28.5'];
tik=NaN*ones(length(lab),1);
for i=1:length(lab);
  q=find(glayers<=str2num(lab(i,:)));
  if (last(q)==str2num(lab(i,:)))
    q=last(q);
  else
    q=mean([last(q) last(q)+1]);
  end;
  tik(i)=q;
end;

layers=-layers;
tik=-tik;
[tik,i]=sort(tik);
lab=lab(i,:);

plot(prop,layers,'k');
line([0 0],[min(layers) max(layers)], ...
        'color',[.25 .25 .25]);

waterdiv;
for wi=1:length(waterdivs);

  q=find(glayers<=waterdivs(wi));
  if (last(q)==waterdivs(wi))
    q=last(q);
  else
    q=mean([last(q) last(q)+1]);
  end;
  line([-10*max(abs(prop)) 10*max(abs(prop))], ...
        [-q -q],'color',[.5 .5 .5]);
end;


patch([prop+eprop;flipud(prop-eprop)], ...
	[layers;flipud(layers)], ...
	[.75 .75 .75],'edgecolor','none');
hold on;
plot(prop,layers,'k','linewidth',1);
hold off;
set(gca,'ytick',tik,'yticklabel',lab,'fontsize',6);

xlim=get(gca,'xlim');

waterdiv;

for wi=1:length(waterdivs);

  q=find(glayers<=waterdivs(wi));
  if (last(q)==waterdivs(wi))
    q=last(q);
  else
    q=mean([last(q) last(q)+1]);
  end;
  %line([-10*max(abs(prop)) 10*max(abs(prop))], ...
        %[-q -q],'color',[.5 .5 .5]);

end;

set(gca,'xlim',xlim);
set(gca,'ylim',[min(layers) max(layers)]);
xlabel('Sv','fontsize',10);

glev;
