
% makeboxcoords.m
%
% The routines isolatecoads.m and isolatesac.m
% need a polygon which encloses all water within
% a particular box in the model.  This routine
% allows easy creation of that polygon, by 
% mouse-clicking on a map of the sections and
% continents. 
%
% The program prompts the user for the box
% number, and saves the polygon lons and lats
% in file "boxcoords*.mat" where * is the box number.

clf;
checkgeo;
hold on;
load /phod007/lumpkin/runoff/catalog/newrivers
plot(lon_river,lat_river,'*b','markersize',6);
zoom on;
s=input('Zoom to the desired box ("enter" when done)','s');

disp('Mouse-click to define box ("enter" when done)');
[lon,lat]=ginput;

% truncate at 71N, for consistency with Amit's grid
%q=find(lat>71);lat(q)=71;

plot([lon;lon(1)],[lat;lat(1)],'b');
hold off;
%[lon,lat]=m_xy2ll(lon,lat);

boxnumber=input('Box number? ');

eval(['save boxcoords',num2str(boxnumber),' lon lat']);
