function mapaxis_small(asp_ratio);

% function mapaxis_small(asp_ratio)
%
% set the ticks and labels of a map to appear
% in degrees, nicely formated for a map of
% the entire world.  Don't fix the aspect ratio
% automatically unless the optional argument is
% set to 1.

set(gca,'fontsize',8);
minlon=-180;
maxlon=180;
minlat=-85;
maxlat=85;

if ~exist('asp_ratio')
    asp_ratio=0;
end;

axis([minlon maxlon minlat maxlat]);

% set aspect ratio
if (asp_ratio)
    set(gca,'dataaspectratio',[1 .75 1]);
end;

% give nice labels
%tiks=get(gca,'xtick');
tiks=-180:45:180;
set(gca,'xtick',tiks);
%q=find(tiks>180);
%tiks(q)=tiks(q)-360;
if (size(tiks,1)>size(tiks,2))
  labs=num2str(abs(tiks));
else
  labs=num2str(abs(tiks'));
end;
labs=[labs,ones(length(tiks),2)*setstr(176)];
for i=1:size(labs,1);
  if (tiks(i)>0)
    labs(i,size(labs,2))='E';
  elseif(tiks(i)<0)
    labs(i,size(labs,2))='W';
  else
    labs(i,size(labs,2))=' ';
  end;
end;
set(gca,'xticklabel',labs);

%tiks=get(gca,'ytick');
tiks=-80:20:80;
set(gca,'ytick',tiks);
if (size(tiks,1)>size(tiks,2))
  labs=num2str(abs(tiks));
else
  labs=num2str(abs(tiks'));
end;
labs=[labs,ones(length(tiks),2)*setstr(176)];
for i=1:size(labs,1);
  if (tiks(i)>0)
    labs(i,size(labs,2))='N';
  elseif(tiks(i)<0)
    labs(i,size(labs,2))='S';
  else
    labs(i,size(labs,2))=' ';
  end;
end;
set(gca,'yticklabel',labs);

set(gca,'layer','top');

