function overlay(minlon,maxlon,minlat,maxlat);

% function overlay(minlon,maxlon,minlat,maxlat);
%
% superimpose land masses (in green) on maps.
% Default: minlon=-100, maxlon=10, minlat=-20, maxlat=90
% (W coasts of Europe, Africa; E coasts of Americas).
%
% Rick Lumpkin, 3 December 1998

%col=[0 .5 0];		% green
col=[.4 .4 .4];		% grey

if (exist('minlon')==0)
  minlon=-100;
end;
if (exist('maxlon')==0)
  %maxlon=10;
  maxlon=60;
end;
if (exist('minlat')==0);
  %minlat=-20;
  minlat=-90;
end;
if (exist('maxlat')==0)
  maxlat=90;
end;

load /home/lasalle/rlumpkin/matlab/coastlines
x=coast_x;
y=coast_y;
%q=find((x>=minlon & x<=maxlon & ...
	%y>=minlat & y<=maxlat) | ...
	%isnan(x+y));
%x=x(q);y=y(q);

q=find(isnan(x)); 
q=[0;q];
if (isnan(last(x))==0)
  q=[q;length(x)];
end;
for i=2:length(q);
  a=q(i-1)+1; b=q(i)-1;
  if (i==2)	% antarctica: add points at 90S
    x2=[x(a(1));x(a:b);x(b)];
    y2=[-90;y(a:b);-90];
  elseif (i==98) % asia: unwrap across 180
    a=[a:b,a];
    x2=x(a);y2=y(a);
    qa=find(x2<-100);
    x2(qa)=x2(qa)+360;
  else 
    a=[a:b,a];
    x2=x(a);y2=y(a);
  end;
  if (length(x2)>1)
    patch(x2,y2,col,'edgecolor','none');
    %plot(x2,y2,'color',col);
  end;
end;

