function overturning32S(gaussout_filename);

% function overturning32S(gaussout_filename);
%
% plot the overturning across the Pacific, 
% Atlantic and Indian 32S secions.

clf;

if ~exist('gaussout_filename')
    gaussout_filename='gaussout';
end;

orient landscape

% global
subplot(241)
sectnum=[sectname2sectnum('p06') ...
	sectname2sectnum('a11') ...
        sectname2sectnum('i05p')];
boxnum=[getboxnum(-130,-50) ...
	getboxnum(-25,-50) ...
	getboxnum(70,-50)];
Psi=sidelatflux(1,boxnum,sectnum,-1,1,0,gaussout_filename);
title('Global 32^\circS','fontsize',12);

% Pacific 32S
subplot(242)
sectnum=sectname2sectnum('p06');
boxnum=getboxnum(-130,-50);
sidelatflux(1,boxnum,sectnum,-1,1,0,gaussout_filename);
title('Pacific 32^\circS','fontsize',12);

% Atlantic
subplot(243)
sectnum=sectname2sectnum('a11');
boxnum=getboxnum(-25,-50);
sidelatflux(1,boxnum,sectnum,-1,1,0,gaussout_filename);
title('Atlantic 32^\circS','fontsize',12);

% Indian 32S
subplot(244)
sectnum=sectname2sectnum('i05p');
boxnum=getboxnum(70,-50);
sidelatflux(1,boxnum,sectnum,-1,1,0,gaussout_filename);
title('Indian 32^\circS','fontsize',12);


% Global 60S
subplot(245);
sectnum=[sectname2sectnum('s4_pac') ...
        sectname2sectnum('s4_atl') ...
        sectname2sectnum('s4_ind')];
boxnum=[getboxnum(-100,-60) ...
        getboxnum(0,-56) ...
        getboxnum(100,-60)];
sidelatflux(1,boxnum,sectnum,1,1,0,gaussout_filename);
title('Composite S4 (60^\circS)');

% Pacific (Ross)
subplot(246);
sectnum=sectname2sectnum('s4_pac');
boxnum=getboxnum(-100,-60);
sidelatflux(1,boxnum,sectnum,1,1,0,gaussout_filename);
title('Ross');

% Atlantic (Weddell)
subplot(247);
sectnum=sectname2sectnum('s4_atl');
boxnum=getboxnum(0,-56);
sidelatflux(1,boxnum,sectnum,1,1,0,gaussout_filename);
title('Weddell');

% Indian (Amery)
subplot(248);
sectnum=sectname2sectnum('s4_ind');
boxnum=getboxnum(100,-60);
sidelatflux(1,boxnum,sectnum,1,1,0,gaussout_filename);
title('Amery');
