function patchmap(x,y,z);

% patchmap
%
% Create a pcolor, shading flat image.
% Matlab Ver. 5.1.0.421 screws this up by default, not
% centering facets on elements x,y and dropping the
% last column and last row of z.
%
% Rick Lumpkin

dx=abs(median(diff(x)));
dy=abs(median(diff(y)));

[n,m]=size(x);
if (m==1) x=x'; end;
[n,m]=size(y);
if (m==1) y=y'; end;

if (y(length(y))>y(1))	% min values at beginning
  yrev=0;
  yy=y;
else
  yrev=1;
  yy=fliplr(y);
end;
y=yy(1:length(yy)-1)+diff(yy)/2;
y=[yy(1)-(yy(2)-yy(1))/2,y,yy(length(yy))+ ...
	(yy(length(yy))-yy(length(yy)-1))/2];
if (yrev)
  y=fliplr(y);
end;

if (x(length(x))>x(1))  % min values at beginning
  xrev=0;
  xx=x; 
else  
  xrev=1; 
  xx=fliplr(x);  
end;   
x=xx(1:length(xx)-1)+diff(xx)/2;
x=[xx(1)-(xx(2)-xx(1))/2,x,xx(length(xx))+ ...
        (xx(length(xx))-xx(length(xx)-1))/2]; 
if (xrev)
  x=fliplr(x);   
end; 

[i,j]=size(z);
z=[[z;NaN*ones(1,j)],NaN*ones(i+1,1)];

pcolor(x,y,z);shading flat;
%axis([min(x) max(x) min(y)-dy/2 max(y)+dy/2]);

set(gca,'dataaspectratio',[1 1 1]);
