
% plotairseacorr;
%
% plot the corrected air-sea fluxes of heat and freshwater
% in box number "boxnum"

clf
subplot(221);
plot(glayers,AirSea(:,1,boxnum)/1e6,'r');
hold on;
patch([glayers;flipud(glayers)], ...
	[AirSea(:,1,boxnum)+eAirSea(:,1,boxnum) ; ...
	flipud(AirSea(:,1,boxnum)-eAirSea(:,1,boxnum))]/1e6, ...
	[.5 1 .5],'edgecolor','none');
plot(glayers,AirSea(:,1,boxnum)/1e6,'color',[0 .5 0]);
ffw=interp1(glayers,AirSea(:,1,boxnum),glevels,'linear');
plot(glevels,ffw/1e6+x(indF(:,2,boxnum))/1e6,'.k','markersize',8);
hold off;
grid on;
title('F_{fw} (red: a priori, black: corrected)');

subplot(222);
rxx=sqrt(diag(Rxx));
plot(glevels,abs(x(indF(:,2,boxnum))) ...
	./rxx(indF(:,2,boxnum)),'color',[0 .5 0]);
hold off;
title('FW corrections / allowed range');

subplot(223)
plot(glayers,AirSea(:,3,boxnum)/1e6,'r');
hold on;
patch([glayers;flipud(glayers)], ...
        [AirSea(:,3,boxnum)+eAirSea(:,3,boxnum) ; ...
        flipud(AirSea(:,3,boxnum)-eAirSea(:,3,boxnum))]/1e6, ...
        [1 .7 .7],'edgecolor','none');
plot(glayers,AirSea(:,3,boxnum)/1e6,'r');
fh=interp1(glayers,AirSea(:,3,boxnum),glevels,'linear');
plot(glevels,fh/1e6+x(indF(:,1,boxnum))/1e6,'.k','markersize',8);
hold off;
grid on;
title('F_{h} (red: a priori, black: corrected)');

subplot(224);
rxx=sqrt(diag(Rxx));
plot(glevels,abs(x(indF(:,1,boxnum))) ...
        ./rxx(indF(:,1,boxnum)),'r');
hold off;
title('H corrections / allowed range');

