
% plotdiavel.m
%
% Plot the diapycnic velocity w* from the
% output of gauss.m, for property number
% "propnum" and box "boxnum".

w=x(indw(:,propnum,boxnum))*1e6;
werr=erx(indw(:,propnum,boxnum))*1e6;
er=1:length(glevels);er=er';
layerplot(w);
hold on;
patch([w+werr;flipud(w-werr)], ...
      [-er;flipud(-er)],[1 .5 .5], ...
      'edgecolor','none');
layerplot(w,'r');
set(gca,'xlim',[1.2*min(w-werr) 1.2*max(w+werr)]);
hold off;
title(['w_* (',propnames(propnum,:),', box ', ...
	num2str(boxnum),')']);
xlabel('10^{-6} m/s');

clear w werr;
