% plotkappa.m
%
% Plot the effective mixing coefficient from the
% output of gauss.m and plotformation.m

plotformation;	% run this in case the user hasn't

% create diffDt = drD*diff(gamma2)  [kg/s]
diffDt=drDplot(:,1);
q=find(isnan(diffDt));diffDt(q)=0;
diffDt=diffDt(1:length(diffDt)-1)+diff(diffDt)/2;
cumerror=fillnans(drDplot(:,2),0);
cumerror=cumerror(1:length(cumerror)-1) ...
	+ diff(cumerror)/2;
diffDt(:,2)=cumerror;
diffDt=diffDt.*(diff(gamma2)*ones(1,2));

% integrate diffDt to get Dt [kg/s]
Dt=-[flipud(cumsum(flipud(diffDt(:,1))));0];
cumerror=NaN*ones(size(diffDt(:,2)));
for i=nlayers:-1:1;
  %ind=i:min(i+2,nlayers);
  ind=i:nlayers;
  cumerror(i)=sqrt(nansum(diffDt(ind,2).^2));
end;
Dt=interp1(gamma2,Dt,glayers,'linear');
Dt(:,2)=cumerror;
Dt=Dt*fluxdivfact(propnum);

% load mean layer area S [m^2] and calculate
% dnRho [kg/m^4]
eval(['load mprop_atl',num2str(boxnum),' layer_* ']);
eval(['layer_width=layer_width_atl',num2str(boxnum),';']);
eval(['S=layer_area_atl',num2str(boxnum),';']);
dnRho=-diff(gamma2)./layer_width;

%areaweight=S./nansum(S);
%areaweight=areaweight/max(areaweight);
%q=find(areaweight<.25);areaweight(q)=.25;
% include a fractional error to the area: 50%
%areaweight=areaweight*1.5;

% calculate kappa: Dt/dnRho/S [
kappabar=Dt(:,1)./dnRho./S;
kappabar(:,2)=Dt(:,2)./abs(dnRho)./S;
%%%%
%kappabar(:,2)=kappabar(:,2).*areaweight;
%%%%

if (boxnum==4 & 0)
	disp('Magnifying errorbar in box4 to reflect volume errors')
	q=find(glevels<=26.6);
	kappabar(q,2)=1e9;
	kappabar(max(q)+1,2)=3*kappabar(max(q)+1,2);
	kappabar(max(q)+2,2)=1.5*kappabar(max(q)+2,2);

	q=find(glevels>=28.292);
	kappabar(q,2)=1e9;

	q=find(glevels>=28.127 & glevels<=28.292);
	mf=(q-min(q))*10/4;
	qq=find(mf<1);mf(qq)=1;
	kappabar(q,2)=mf.*kappabar(q,2);
	%mf=((28:32)' -28)*10/4;
	%q=find(mf<1);mf(q)=1;
	%kappabar(28:32,2)=mf.*kappabar(28:32,2);
end;

q1=find(kappabar(:,1)-kappabar(:,2)>0);
if length(q1)
  maxkappa=max(kappabar(q1,1)+kappabar(q1,2));
else
  maxkappa=1e-4;
end;
q2=find(kappabar(:,1)+kappabar(:,2)<0);
if length(q2)
  minkappa=min(kappabar(q2,1)-kappabar(q2,2));
else
  minkappa=-1e-4;
end;

if (0)
  plot(glayers,kappabar(:,1)*1e4,'k');
  hold on;
  qq=find(isfinite(kappabar(:,1)+kappabar(:,2)));
  patch([glayers(qq);flipud(glayers(qq))], ...
	[(kappabar(qq,1)+kappabar(qq,2))*1e4; ...
        flipud((kappabar(qq,1)-kappabar(qq,2))*1e4)],[.7 .7 .7], ...
        'edgecolor','none');
  plot(glayers,kappabar(:,1)*1e4,'k');
  %q=find(kappabar(:,1)-kappabar(:,2)>0);
  %plot(glayers(q),kappabar(q,1)*1e4,'.k','markersize',10);
  line([min(gamma2) max(gamma2)],[0 0],'color',[.5 .5 .5]);
  hold off;
  set(gca,'ylim',1e4*[minkappa maxkappa]);
  set(gca,'xlim',[min(glevels) max(glevels)]);
  xlabel('\gamma^n','fontsize',12);
  ylabel('<\kappa> (10^{-4} m^2/s)','fontsize',12);
else
  %qq=find(isnan(kappabar(:,1)));
  %kappabar(qq,:)=0;
  layerpatch(kappabar(:,1)*1e4, ...
      kappabar(:,2)*1e4,[0 0 0],[.75 .75 .75],0);
  hold off;
  xlabel('<\kappa> (10^{-4} m^2/s)','fontsize',12);
  ylabel('\gamma^n','fontsize',12);
  set(gca,'xlim',1e4*[minkappa maxkappa]);
  set(gca,'ylim',[-length(glevels) 0]);
end;
