function plotsection2(sectnum);

% function plotsection2(sectnum);
%
% Plot the T, S and T-S curves of
% a section (listed in geo.m)
% which has been prepared via Dobox.
% 

clf;

geo;	% load directory name
sectfiles=sectfiles(sectnum,:);
q=find(sectfiles=='.');
sectfiles(q:length(sectfiles))=[];
eval(['load ',sectfiles,'_raw']);
eval(['load ',sectfiles,'_ns']);
% load gvel_* file
q=find(sectfiles=='/');
q=last(q);
sectfiles(1:q)=[];
eval(['load gvel_',sectfiles]);
reflevel=reflevel(sectnum);

maxz=nansum(bin_sal')';
q=find(isfinite(maxz));
maxz=max(bin_press(q))+100;
if (maxz>2000);
  ytiks=-500*round(maxz/500):500:0;
else
  ytiks=-250*round(maxz/250):250:0;
end;
ylabs=num2str(abs(ytiks'));

%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plot the section location
%%%%%%%%%%%%%%%%%%%%%%%%%%%

minlat=max([min(lat)-4 -72.006]);
maxlat=min([max(lat)+4 72.006]);
minlon=min(lon)-4;maxlon=max(lon)+4;

subplot(221)
[z2,lon2,lat2]=mygrid_sand([minlon maxlon, ...
        minlat maxlat]);
z2=z2(1:10:size(z2,1),1:10:size(z2,2));
lon2=lon2(1:10:length(lon2));
lat2=lat2(1:10:length(lat2));
l=-5000:500:500;
z3=z2;q=find(z2<min(l));z3(q)=min(l);
q=find(z3>=0);z3(q)=500;
contourf(lon2,lat2,z3,l);clear z3;
shading flat;
mapaxis([minlon maxlon minlat maxlat]);
a=get(gca,'plotboxaspectratio');
if (a(2)/a(1)<1)
  ch=colorbar('horiz');
else
  ch=colorbar;
end;
set(ch,'fontsize',8);
set(ch,'xticklabel',abs(get(ch,'xtick')'), ...
  'yticklabel',abs(get(ch,'ytick')') );
hold on;
plot(lon,lat,'w','linewidth',2);
hold off;

ttl=sectfiles;
for i=1:length(ttl);
  if (ttl(i)=='_') ttl(i)='-'; end;
end;
title(ttl,'fontsize',15);

difflat=maxlat-minlat;
difflon=maxlon-minlon;
if (difflon>difflat)
  horvar=lon;
else
  horvar=lat;
end;
horvar2=horvar(1:length(horvar)-1) ...
	+diff(horvar)/2;

xtiks=1:round(length(horvar)/10):length(horvar);
xlabs=num2str(abs(round(10*horvar(xtiks)')/10));
xlabs=[xlabs,setstr(176)*ones(length(xlabs),1)];
if (last(horvar)<horvar(1));
  xlabs=flipud(xlabs);
end;

%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plot salinity
%%%%%%%%%%%%%%%%%%%%%%%%%%%

subplot(223);
if (last(horvar)>horvar(1))
  indx=1:length(horvar);
else
  indx=length(horvar):-1:1;
end;
pcolor2(indx,-bin_press,bin_sal);
axis([min(indx) max(indx) -maxz 0]);
set(gca,'xtick',xtiks,'xticklabel',xlabs, ...
        'ytick',ytiks,'yticklabel',ylabs,'fontsize',6);
title('Salinity','fontsize',10)
ylabel('m','fontsize',10);
if (reflevel>0);
  hold on;
  plot(horvar,-surf_press(reflevel,:),'k', ...
        'linewidth',2);
  hold off;
end;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plot potential temperature
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

subplot(224);
pcolor2(indx,-bin_press,bin_potmp);
axis([1 length(horvar) -maxz 0]);
set(gca,'xtick',xtiks,'xticklabel',xlabs, ...
        'ytick',ytiks,'yticklabel',ylabs,'fontsize',6);
title('\theta_0','fontsize',10)

if (0)
  % flux in stations stnnbr, in pressure range pr
  stnnbr=[1:6];pr=[1900 5000];
  q=find(bin_press>min(pr) & bin_press<max(pr));
  M=gvel(q,stnnbr)*delz.* ...
	(ones(length(bin_press(q)),1)*delx(stnnbr));
  M=nansum(nansum(M))/1e6;
  M=round(10*M)/10
  max(max(abs(gvel(q,stnnbr))))
end;

subplot(222);
plotsection_ts(sectnum,0);
