function plotsection_ts2(sectnum);

% function plotsection_ts2(sectnum);
%
% Plot the Theta-S relationships of a section
% (listed in geo.m) which has been 
% prepared via Dobox: color each cast from
% red to blue.

clf;

Srange=[34.8 35];
Trange=[1.5 4.5];

for subp=1:4;
 
subplot(2,2,subp);

if (subp==2 | subp==4)

glev;	% load glayers
geo;	% load directory name
sectfiles=sectfiles(sectnum,:);
q=find(sectfiles=='.');
sectfiles(q:length(sectfiles))=[];
eval(['load ',sectfiles]);

dlon=diff(lon);dlat=diff(lat);
if (dlon>dlat)
  [lon2,ind]=sort(lon);
else
  [lat2,ind]=sort(lat);
end;


T=LayerPair_potmp;
S=LayerPair_salam;
% replace 0 with NaN as placeholder
q=find(~T);T(q)=NaN;
q=find(~S);S(q)=NaN;

T=nanmean(T')';
S=nanmean(S')';
S=S*1000 + 35;	% convert to PSU

% mean layer pressure
p=nanmean(Layer_press')';
p=p(1:length(p)-1)+diff(p)/2;
plot_ts(S,T,p,'b');

title(sectfiles)

hold on;
colormap default;
colr=colormap;
colr2=NaN*ones(length(ind),3);
colr2(:,1)=fillnans(interp1(1:64',colr(:,1),1:length(ind)'),0)';
colr2(:,2)=fillnans(interp1(1:64',colr(:,2),1:length(ind)'),0)';
colr2(:,3)=fillnans(interp1(1:64',colr(:,3),1:length(ind)'),0)';
colr2=flipud(colr2);
for i=1:length(ind);
  t=bin_potmp(:,ind(i));
  s=bin_sal(:,ind(i));
  q=find(isfinite(s+t) & bin_press>0);
  if (length(q))
    plot(s(q),t(q),'color',colr2(i,:));
  end;
end;
plot(S,T,'k','linewidth',1);
hold off;
axis([min(min(bin_sal)) max(max(bin_sal)) ...
        min(min(bin_potmp)) max(max(bin_potmp))]);


else
  plotsection_ts(sectnum);
end;

end;

subplot(222);title(' ');
subplot(223);title(' ');
axis([min(Srange) max(Srange) min(Trange) max(Trange)]);
grid on
subplot(224);title(' ');
axis([min(Srange) max(Srange) min(Trange) max(Trange)]);
grid on

orient landscape
