
% savediafluxes - save the diapycnal fluxes of
% volume across the layer interfaces

w=x(indw(:,1,:));
w=reshape(w,[length(glevels) nboxes]);
erw=erx(indw(:,1,:));
erw=reshape(erw,[length(glevels) nboxes]);
w(:,:,2)=erw;

dr_D=NaN*ones(size(w));
for i=1:2;
    dr_D(:,:,i)=w(:,:,i).*(level_area_nonans);
end;

kappa=NaN*ones(length(glevels),nboxes,2);
for boxnum=1:nboxes;
    plotkappa;
    clear drD;
    kappa(:,boxnum,1)=interp1(glayers, ...
        kappabar(:,1),glevels,'linear');
    kappa(:,boxnum,2)=interp1(glayers, ...
        kappabar(:,2),glevels,'linear');
end;

save diafluxes glevels w dr_D kappa
X=[glevels dr_D(:,1,1) dr_D(:,2,1) dr_D(:,3,1) dr_D(:,4,1) ...
        w(:,1,1) w(:,2,1) w(:,3,1) w(:,4,1) ...
        kappa(:,1,1) kappa(:,2,1) kappa(:,3,1) kappa(:,4,1)];
eX=[zeros(size(glevels)) ...
        dr_D(:,1,2) dr_D(:,2,2) dr_D(:,3,2) dr_D(:,4,2) ...
        w(:,1,2) w(:,2,2) w(:,3,2) w(:,4,2) ...
        kappa(:,1,2) kappa(:,2,2) kappa(:,3,2) kappa(:,4,2)];
    
q=find(isnan(X));X(q)=0;
q=find(isnan(eX));eX(q)=0;
save diafluxes.dat X -ascii
save erdiafluxes.dat eX -ascii