function gamvalue=sigthet2gamma(filename,sigthetvalue);

% function gamvalue=sigthet2gamma(filename,sigthetvalue);
%
% convert a value of sigma_theta to gamma^n,
% using a gaussian-weighted running mean to 
% get gamma as a function of sigma_theta.
%
% example: sigthet2gamma('ar19a',28);

eval(['load /phod007/lumpkin/dobox/sections/' ...
	filename,'_raw bin_sigthet']);
eval(['load /phod007/lumpkin/dobox/sections/' ...
	filename,'_ns gamma']);
eval(['gam=gamma;']);

q=find(isfinite(bin_sigthet+gam));
x=bin_sigthet(q);
y=gam(q);

% subsample to get close points
[x,i]=sort(x);y=y(i);
q=find(x>=sigthetvalue);
if (length(q))
    q=q(1);
    q=q-40:q+40;
    if min(q)<1 q=1:max(q);end;
    if last(q)>length(x) q=q(1):length(x); end;
    x=x(q);y=y(q);

    [x2,y2]=runmean3(x,y,(last(x)-x(1))/8);
    gamvalue=interp1(x2,y2,sigthetvalue,'linear');

    plot(x2,y2,x,y,'.k',sigthetvalue,gamvalue,'or');
    xlabel('\sigma_\theta','fontsize',15);
    ylabel('\gamma^n','fontsize',15);
else
    gamvalue=NaN;
end;
