% truncatesoc.m
%
% truncate the SOC air-sea fields by dropping
% the values of lonvec, latvec, etc. corresponding
% to vector q.  All fields are loaded by loadcoads.m

landmask_soc=NaN*ones(length(lat_soc),length(lon_soc));
landmask_soc(index_soc)=mean(netheat_soc,1);
landmask_soc=isnan(landmask_soc);
lonvec_soc(q)=[];latvec_soc(q)=[];
netheat_soc(:,q)=[];
q=find(lon_soc<min(lonvec_soc) | lon_soc>max(lonvec_soc));
lon_soc(q)=[];
landmask_soc(:,q)=[];
q=find(lat_soc<min(latvec_soc) | lat_soc>max(latvec_soc));
landmask_soc(q,:)=[];
lat_soc(q)=[];
index_soc=NaN*ones(length(latvec_soc),2);
for n=1:length(lat_soc);
  q=find(latvec_soc==lat_soc(n));
  index_soc(q,1)=n;
end;
for n=1:length(lon_soc);
  q=find(lonvec_soc==lon_soc(n));
  index_soc(q,2)=n;
end;
index_soc=(index_soc(:,2)-1)*max(index_soc(:,1)) + index_soc(:,1);
index_soc=index_soc';
Latmat_soc=lat_soc*ones(1,length(lon_soc));
Lonmat_soc=ones(length(lat_soc),1)*lon_soc';

